Subject: [[email-masked]: ]

From: [email-masked] (Mi Mi)
Date: Tue, 14 Dec 93 17:33:19 CST

You will receive a letter from Guangzhou asking you to send them
your dependents' name, address, both in Chinese and English, their 
relationship with you, in order to process their visa application.
I just got such one, concerning my Mi Mi Jr.'s I-824 case.

It takes quite a long while, I think. 

Mi Mi Jr. has just got into a new Talented and Gifted Program in 
NYC's public school system. I took her to the board of education, 
showed them Mi Mi Jr.'s school records both in China and US, the 
very impressive City Wide Test records, and they immidiately 
sent us to the best public program in town. She is going to her new
school tommoror. 

Mi Mi Sr.

========forwarded message follows================================

>From: [email-masked] (Qingzhe Wen)
To: Multiple recipients of list <[email-masked]>
Subject: 
X-Listprocessor-Version: 6.0a -- ListProcessor by Anastasios Kotsikonas
X-Comment:  Late-Arrival-DependentS-List 

Recently I received the approval notice of
my petition for my wife's following to join me
in the US (Form I-824).  But my wife's iname was not
shown in the approval notice.  In the column
'Beneficary', my name was shown instead of my 
wife's.  I am quite confused.  Does any one have
any idea about this?  Thank you very much for
any related information.  

Qingzhe Wen
[email-masked]